New user self-registration is disabled due to spam. Please email eigen-core-team @ lists.tuxfamily.org if you need an account.
Before reporting a bug, please make sure that your Eigen version is up-to-date!
Bug 565 - [Patch] Bug in single entry calculation of KroneckerProduct
Summary: [Patch] Bug in single entry calculation of KroneckerProduct
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: Unsupported modules (show other bugs)
Version: unspecified
Hardware: All All
: Normal Unknown
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-14 08:35 UTC by Kolja Brix
Modified: 2013-03-17 13:59 UTC (History)
1 user (show)



Attachments
Patch for bug in single entry calculation of KroneckerProduct (6.28 KB, patch)
2013-03-14 08:35 UTC, Kolja Brix
no flags Details | Diff
Patch for bug in single entry calculation of KroneckerProduct, Version 2 (3.67 KB, patch)
2013-03-16 18:58 UTC, Kolja Brix
no flags Details | Diff

Description Kolja Brix 2013-03-14 08:35:44 UTC
Created attachment 317 [details]
Patch for bug in single entry calculation of KroneckerProduct

There is a bug in single entry calculation of KroneckerProduct: The matrices and the numbers of rows and columns are mixed up.

Since this feature is not tested, the bug is not caught by the unit tests. Therefore the patch enclosed also extends the unit test by corresponding checks.
Comment 1 Kolja Brix 2013-03-16 18:58:33 UTC
Created attachment 318 [details]
Patch for bug in single entry calculation of KroneckerProduct, Version 2

Shortened version: reuse data.
Comment 2 Christoph Hertzberg 2013-03-17 13:59:16 UTC
I applied the patch in the dev-branch:
https://bitbucket.org/eigen/eigen/commits/f1c475c563b9451d9d69cb12181b3c3ed76e11d7

Note You need to log in before you can comment on or make changes to this bug.